{
    attributes = (
        {
            definition = toScolFormationDiscipline.fdscCode; 
            externalType = VARCHAR2; 
            name = fdscCode; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = FDSC_KEY; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FDSC_FIN; }; 
            name = fdscKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = NO_CNU; 
            externalType = NUMBER; 
            name = noCnu; 
            precision = 3; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (noCnu, fdscKey); 
    className = EOGenericRecord; 
    classProperties = (noCnu, toScolFormationDiscipline, toGrhumCnu, fdscKey, fdscCode); 
    externalName = SCOL_FORMATION_REPARTITION_CNU; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationRepartitionCnu; 
    primaryKeyAttributes = (noCnu, fdscKey); 
    relationships = (
        {
            destination = GrhumCnu; 
            internalInfo = {_nameInObjectStore = toCnu; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noCnu; sourceAttribute = noCnu; }); 
            name = toGrhumCnu; 
        }, 
        {
            destination = ScolFormationDiscipline; 
            internalInfo = {_nameInObjectStore = scolFormationDiscipline; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdscKey; sourceAttribute = fdscKey; }); 
            name = toScolFormationDiscipline; 
        }
    ); 
}
